#%lib_package opensc 1
#%lib_package pkcs15init 1
#%lib_package scconf 1
#%lib_package scldap 1
#%lib_package scam 1

Summary: towitoko-2.0.7
Name: towitoko
Version: 2.0.7
Release: 1
License: GPL
Group: Applications/Driver
Source:   towitoko-2.0.7.tar.gz 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires: gcc-c++
#BuildRequires: openssl-devel
#BuildRequires: libassuan-devel
#BuildRequires: openct-devel
#BuildRequires: openldap-devel
#BuildRequires: pam-devel
#BuildRequires: libusb-devel
#BuildRequires: XFree86-devel, readline-devel
#Provides: opensc-devel = %{evr}

%description
towitoko-2.0.7.tar.gz

%prep
%setup -q

%build
#fedora should not use --enable-devfs: 
./configure --program-prefix= --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib --libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com --mandir=/usr/share/man --infodir=/usr/share/info --with-pcsc-lite-dir=/root/_rpmbuild/tmp/towitoko-2.0.7-1-buildroot/usr/pcsc --enable-usb-bundle 


#./configure  --with-pcsc-lite-dir=%{buildroot}/usr/pcsc --enable-ISO-t0 --enable-usb-bundle --enable-devfs
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/tester
%{_includedir}/ctapi.h
%{_includedir}/ctbcs.h
%{_libdir}/libtowitoko.la
%{_libdir}/libtowitoko.so.2.0.0
%{_mandir}/man3/ctapi.3.gz
%{_mandir}/man3/ctbcs.3.gz
/usr/pcsc/drivers/towitoko.bundle/*

